#ifdef GL_ES
#define LOWP lowp
#define MEDP mediump
#define HIGP highp
#else
#define LOWP
#define MEDP
#define HIGP
#endif

attribute vec4 a_position;
attribute vec3 a_normal;
attribute MEDP vec2 a_texCoord0;

uniform float u_lightIntensity;
uniform vec3 u_lightPos;
uniform mat4 u_projTrans;

varying LOWP float intensity;
varying MEDP vec2 texCoords;

void main() {
	vec3 n = normalize(a_normal);
	vec3 l = u_lightPos - a_position.xyz;
	float len = length(l);
	intensity = max(dot(n, normalize(l)), 0.0);
	intensity *= 1.0 / (u_lightIntensity * len * len);
	texCoords = a_texCoord0;
	gl_Position = u_projTrans * a_position;
}