package com.pancik.ciernypetrzlen;

import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.graphics.Color;
import com.badlogic.gdx.graphics.g2d.BitmapFont;
import com.badlogic.gdx.graphics.g2d.SpriteBatch;
import com.badlogic.gdx.graphics.g2d.TextureAtlas;
import com.badlogic.gdx.graphics.g2d.freetype.FreeTypeFontGenerator;
import com.badlogic.gdx.graphics.glutils.ShapeRenderer;

public final class DrawableData {
    public static final String LATIN_NORMAL = "abcdefghijklmnoprstquvwxyzABCDEFGHIJKLMNOPRSTQUVWXYZ1234567890+-*/()\\\"':;,.?![]{}_|<>@#$%^&~";
    //public static final String LATIN_EXTENDED = "`ÂÃÄÅÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖ×ØÙÚÛÜÝÞßàáâãäåæçèéêëìíîïðñòóôõö÷øùúûüýþÿĀāĂăĄąĆćĈĉĊċČčĎďĐđĒēĔĕĖėĘęĚěĜĝĞğĠġĢģĤĥĦħĨĩĪīĬĭĮįİıĲĳĴĵĶķĸĹĺĻļĽľĿŀŁłŃńŅņŇňŉŊŋŌōŎŏŐőŒœŔŕŖŗŘřŚśŜŝŞşŠšŢţŤťŦŧŨũŪūŬŭŮůŰűŲųŴŵŶŷŸŹźŻżŽžſ";
    public static final String FONT_CHARACTERS = LATIN_NORMAL;
    public static SpriteBatch spriteBatch;
    public static ShapeRenderer shapeRenderer;
    //public static Map<String, Texture> textures;
    public static TextureAtlas textureAtlas;
    public static BitmapFont font;
    
    public static void loadData() {
        spriteBatch = new SpriteBatch();
        shapeRenderer = new ShapeRenderer();

        //textures = new HashMap<String, Texture>();

        textureAtlas = new TextureAtlas(Gdx.files.internal("data/drawable/packed/textures.atlas"));
        
        loadTextures();

        String filename = "data/drawable/font/Pixel-Berry.ttf";
        int size = 8;
        FreeTypeFontGenerator generator = new FreeTypeFontGenerator(Gdx.files.internal(filename));
        
        font = generator.generateFont(size, FONT_CHARACTERS, true);
        font.setColor(Color.WHITE); 
        
        generator.dispose();
    }

    private static void loadTextures() {
        /*
        DrawableData.textures.put("solid-black", new Texture(Gdx.files.internal("data/drawable/solid-black.png")));
        DrawableData.textures.put("spaceship-assault", new Texture(Gdx.files.internal("data/drawable/spaceships/spaceship-assault.png")));
        DrawableData.textures.put("spaceship-rocket", new Texture(Gdx.files.internal("data/drawable/spaceships/spaceship-rocket.png")));
        DrawableData.textures.put("building-turret", new Texture(Gdx.files.internal("data/drawable/buildings/building-turret.png")));
        DrawableData.textures.put("projectile-laser-red", new Texture(Gdx.files.internal("data/drawable/effects/projectile-laser-red.png")));
        DrawableData.textures.put("projectile-laser-green", new Texture(Gdx.files.internal("data/drawable/effects/projectile-laser-green.png")));
        DrawableData.textures.put("projectile-laser-neutral", new Texture(Gdx.files.internal("data/drawable/effects/projectile-laser-neutral.png")));
        DrawableData.textures.put("projectile-laser-double-green", new Texture(Gdx.files.internal("data/drawable/effects/projectile-laser-double-green.png")));
        DrawableData.textures.put("projectile-rocket", new Texture(Gdx.files.internal("data/drawable/effects/projectile-rocket.png")));
        DrawableData.textures.put("explosion-gasoline-small", new Texture(Gdx.files.internal("data/drawable/effects/explosion-gasoline-small.png")));
        DrawableData.textures.put("explosion-plasma-medium", new Texture(Gdx.files.internal("data/drawable/effects/explosion-plasma-medium.png")));
        */
    }
    
    public static void dispose() {
        spriteBatch.dispose();
        shapeRenderer.dispose();
        textureAtlas.dispose();
        font.dispose();
    }
}
