package com.pancik.ciernypetrzlen.engine;

import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.files.FileHandle;
import com.google.gson.Gson;
import com.google.gson.JsonIOException;
import com.google.gson.JsonSyntaxException;
import com.pancik.ciernypetrzlen.engine.gui.ActionBar;
import com.pancik.ciernypetrzlen.engine.gui.InventoryWindow;
import com.pancik.ciernypetrzlen.engine.player.StatsPack;
import java.io.PrintWriter;

public class PersistentData {
    public StatsPack statsPack;
    public InventoryWindow.PersistenceData invetoryData;
    public ActionBar.PersistenceData actionBarData;
    public String currentLevel = "begin.txt";
    
    public void save() {
        FileHandle fileOutput = Gdx.files.local("saves/save.dat");

        Gson gson = new Gson();
        String serializedProfile = gson.toJson(this);

        PrintWriter writer = new PrintWriter(fileOutput.writer(false));

        writer.println(serializedProfile);

        writer.close();
    }
    
    public static PersistentData load() {
        PersistentData persistentData = null;
        FileHandle dataFile = Gdx.files.local("saves/save.dat");
        if(dataFile.exists()) {
            Gson gson = new Gson();
            try {
                persistentData = gson.fromJson(dataFile.reader(), PersistentData.class);
            } catch(JsonSyntaxException ex) {
                System.err.println("Invalid JSON syntax.");
            } catch(JsonIOException ex) {
                System.err.println("JSON IO exception caught.");
            }
        }
        return persistentData;
    }
    
    public static PersistentData loadNew() {
        PersistentData out = new PersistentData();
        out.save();
        return out;
    }
}
