package com.pancik.ciernypetrzlen.engine.component.entity;

import com.badlogic.gdx.graphics.g3d.decals.Decal;
import com.pancik.ciernypetrzlen.engine.Engine;
import com.pancik.ciernypetrzlen.engine.IDObject;

public abstract class Entity extends IDObject {
    protected Engine.Controls engineControls;

    public Entity(Engine.Controls engineControls) {
        this.engineControls = engineControls;
    }

    public abstract void create();
    public abstract void tick();
    public abstract Decal getDecal();
    public void render() {
    }
    public void debugRender() {
    }
    public abstract boolean remove();
    public abstract void onRemove();
}
