package com.pancik.ciernypetrzlen.engine.component.entity.projectile;

import com.badlogic.gdx.graphics.g2d.TextureRegion;
import com.badlogic.gdx.graphics.g3d.decals.Decal;
import com.badlogic.gdx.graphics.glutils.ShapeRenderer;
import com.badlogic.gdx.math.Vector2;
import com.pancik.ciernypetrzlen.DrawableData;
import com.pancik.ciernypetrzlen.engine.Engine;

public class FinalBossSkeletonball extends Projectile {
    public static final float SPEED = 3.0f / 60.0f;
    public static final float DIAMETER = 0.50f;
    
    protected TextureRegion[] texture = DrawableData.textureAtlas.findRegion("projectile-final-boss-skeletonball").split(8, 8)[0];
    protected Decal decal;
    protected int animationStep = 0;
    
    public FinalBossSkeletonball(Vector2 targetPos, Vector2 pos, Engine.Controls engineControls, Callback callback) {
        super(targetPos, pos, DIAMETER, SPEED, engineControls, callback);
    }

    @Override
    protected void onProjectileArrived() {
    }

    @Override
    public void create() {
        decal = engineControls.createDecal(position, diameter, diameter, texture[0]);
    }

    @Override
    public void tick() {
        super.tick();
        
        animationStep++;
    }

    @Override
    public Decal getDecal() {
        decal.setTextureRegion(texture[(animationStep / 5) % 2]);
        decal.setPosition(position.x, decal.getY(), position.y);
        return decal;
    }

    @Override
    public void debugRender() {
        DrawableData.shapeRenderer.begin(ShapeRenderer.ShapeType.Line);
        DrawableData.shapeRenderer.setColor(1.0f, 0.0f, 0.0f, 1.0f);
        DrawableData.shapeRenderer.rect(position.x - diameter/2, position.y - diameter/2, diameter, diameter);
        DrawableData.shapeRenderer.end();
    }

    @Override
    public void onRemove() {
    }
}
