package com.pancik.ciernypetrzlen.engine.component.level;

import com.pancik.ciernypetrzlen.engine.component.entity.loot.ChestLoot;
import com.pancik.ciernypetrzlen.engine.component.entity.loot.DebrisLoot;
import com.pancik.ciernypetrzlen.engine.component.entity.loot.EmptyLoot;
import com.pancik.ciernypetrzlen.engine.component.entity.loot.Loot;
import com.pancik.ciernypetrzlen.engine.component.entity.loot.WeaponRackLoot;

public enum DebrisType {
    TABLE("debris-table", 0, 0, 16, 16, 1.0f, 1.0f, true, 15, false, "Table", DebrisLoot.class.getSimpleName()),
    TABLE_BOOKS("debris-table-books", 0, 0, 16, 16, 1.0f, 1.0f, true, 15, false, "Table", DebrisLoot.class.getSimpleName()),
    TABLE_LETTER("debris-table-letter", 0, 0, 16, 16, 1.0f, 1.0f, true, 15, false, "Table", DebrisLoot.class.getSimpleName()),
    CHAIR_RIGHT("debris-chair-right", 0, 0, 16, 16, 1.0f, 1.0f, true, 15, false, "Chair", DebrisLoot.class.getSimpleName()),
    CHAIR_LEFT("debris-chair-left", 0, 0, 16, 16, 1.0f, 1.0f, true, 15, false, "Chair", DebrisLoot.class.getSimpleName()),
    BOX("debris-box", 0, 0, 16, 16, 1.0f, 1.0f, true, 15, false, "Wooden Box", DebrisLoot.class.getSimpleName()),
    CHEST("debris-chest", 0, 0, 16, 16, 1.0f, 1.0f, true, 15, false, "Chest", ChestLoot.class.getSimpleName()),
    LIBRARY("debris-library", 0, 0, 16, 16, 1.0f, 1.0f, true, 15, false, "Library", DebrisLoot.class.getSimpleName()),
    VASE("debris-vase", 0, 0, 16, 16, 1.0f, 1.0f, true, 15, false, "Vase", DebrisLoot.class.getSimpleName()),
    WEAPON_RACK("debris-weapon-rack", 0, 0, 16, 16, 1.0f, 1.0f, true, 15, false, "Weapon Rack", WeaponRackLoot.class.getSimpleName());
    
    public String textureName;
    public int texBeginX, texBeginY, texSizeX, texSizeY;
    public float sizeX, sizeY;
    public boolean attackable;
    public int health;
    public boolean walkable;
    public String debrisName;
    private String lootClassName;

    private DebrisType(String textureName, int texBeginX, int texBeginY, int texSizeX, int texSizeY, float sizeX, float sizeY, boolean attackable, int health, boolean walkable, String debrisName, String lootClassName) {
        this.textureName = textureName;
        this.texBeginX = texBeginX;
        this.texBeginY = texBeginY;
        this.texSizeX = texSizeX;
        this.texSizeY = texSizeY;
        this.sizeX = sizeX;
        this.sizeY = sizeY;
        this.attackable = attackable;
        this.health = health;
        this.walkable = walkable;
        this.debrisName = debrisName;
        this.lootClassName = lootClassName;
    }
    
    public Loot getLoot() {
        try {
            Class clazz = Class.forName("com.pancik.ciernypetrzlen.engine.component.entity.loot." + lootClassName);
            return (Loot)clazz.newInstance();
        } catch (Exception e) {
            e.printStackTrace(System.err);
        }
        
        return new EmptyLoot();
    }
}
