package com.pancik.ciernypetrzlen.engine.component.particle;

import com.badlogic.gdx.graphics.g2d.TextureRegion;
import com.badlogic.gdx.graphics.g3d.decals.Decal;
import com.badlogic.gdx.math.Vector2;
import com.pancik.ciernypetrzlen.DrawableData;
import com.pancik.ciernypetrzlen.engine.Engine;
import com.pancik.ciernypetrzlen.engine.component.entity.Entity;

public class ParticleDebrisDestroy extends Entity{
    public static final int LIFE_LENGTH = 15;

    protected TextureRegion[] texture = DrawableData.textureAtlas.findRegion("particle-debris-destroy").split(16, 16)[0];
    protected Vector2 position;
    protected Decal decal;
    protected float diameter = 1.0f;
    protected int life = 0;
    
    public ParticleDebrisDestroy(Vector2 position, float diameter, Engine.Controls engineControls) {
        super(engineControls);
        this.position = position;
        this.diameter = diameter;
    }

    @Override
    public void create() {
        decal = engineControls.createDecal(position, diameter, diameter, texture[0]);
    }

    @Override
    public void tick() {
        life++;
    }

    @Override
    public Decal getDecal() {
        decal.setTextureRegion(texture[(life / 5) % 3]);
        decal.setPosition(position.x, decal.getY(), position.y + 0.01f);
        return decal;
    }

    @Override
    public boolean remove() {
        return (life >= LIFE_LENGTH);
    }

    @Override
    public void onRemove() {
    }
}
