
package com.pancik.ciernypetrzlen.engine.component.spell;

import com.badlogic.gdx.graphics.g2d.TextureRegion;
import com.pancik.ciernypetrzlen.DrawableData;
import com.pancik.ciernypetrzlen.engine.component.entity.Attackable;

public class BurningBuff extends Buff {
    private static final int lifeLenght = 60;
    private int life = 0;
    private int time = 0;
    private TextureRegion texture;
    private Attackable target;
    private int damage;

    public BurningBuff(Attackable target, int damage, boolean blue) {
        this.target = target;
        this.damage = damage;
        this.texture = new TextureRegion(DrawableData.textureAtlas.findRegion(blue ? "entity-fire-blue" : "entity-fire-red"), 0, 0, 16, 16);
    }
    
    @Override
    public void tick() {
        life++;
        time++;
        
        if(time > 60) {
            time -= 60;
            target.getHit(damage, target);
        }
    }

    @Override
    public boolean remove() {
        return life >= lifeLenght;
    }

    @Override
    public TextureRegion getIcon() {
        return texture;
    }

    @Override
    public String getName() {
        return "Burning";
    }

    @Override
    public float getScalarModifier(Buff.Stat stat) {
        return 0.0f;
    }

    @Override
    public float getPercentualModifier(Buff.Stat stat) {
        return 1.0f;
    }

    @Override
    public void refresh() {
        life = 0;
    }

    @Override
    public void damageTaken(int damage) {
    }
}
