
package com.pancik.ciernypetrzlen.engine.component.spell;

import com.badlogic.gdx.graphics.g2d.TextureRegion;
import com.pancik.ciernypetrzlen.engine.component.entity.Attackable;
import com.pancik.ciernypetrzlen.engine.component.entity.Hero;

public class EatingBuff extends Buff {
    private TextureRegion texture;
    private int time = 0;
    private int tickTime = 0;
    private int duration;
    private Attackable target;
    private int healthPerSecond;
    private int manaPerSecond;

    public EatingBuff(Attackable target, int healthPerSecond, int manaPerSecond, int durationSec, TextureRegion texture) {
        this.target = target;
        this.healthPerSecond = healthPerSecond;
        this.manaPerSecond = manaPerSecond;
        this.duration = durationSec * 60;
        this.texture = texture;
    }
    
    @Override
    public void tick() {
        time++;
        tickTime++;
        
        if(tickTime > 60) {
            tickTime -= 60;
            target.changeHealth(healthPerSecond);
            
            if(target instanceof Hero) {
                ((Hero)target).changeMana(manaPerSecond);
            }
        }
    }

    @Override
    public boolean remove() {
        return time >= duration;
    }

    @Override
    public TextureRegion getIcon() {
        return texture;
    }

    @Override
    public String getName() {
        return "Eating";
    }

    @Override
    public float getScalarModifier(Buff.Stat stat) {
        return 0.0f;
    }

    @Override
    public float getPercentualModifier(Buff.Stat stat) {
        return 1.0f;
    }

    @Override
    public void refresh() {
        time = 0;
    }

    @Override
    public void damageTaken(int damage) {
        time = duration;
    }
}
