
package com.pancik.ciernypetrzlen.engine.component.spell;

import com.badlogic.gdx.graphics.g2d.TextureRegion;
import com.badlogic.gdx.math.Vector2;
import com.pancik.ciernypetrzlen.DrawableData;
import com.pancik.ciernypetrzlen.engine.component.entity.Unit;
import com.pancik.ciernypetrzlen.engine.pathfinding.CollisionMap;

public class StompBuff extends Buff {
    private static Vector2 tmp = new Vector2();
    
    private int time = 0;
    private int duration;
    private Unit target;
    private Vector2 direction;
    private CollisionMap collisionMap;

    public StompBuff(Unit target, Vector2 direction, int duration, CollisionMap collisionMap) {
        this.target = target;
        this.direction = direction;
        this.duration = duration;
        this.collisionMap = collisionMap;
    }
    
    @Override
    public void tick() {
        time++;
        
        Vector2 targetPos = target.getPosition();
        tmp.set(targetPos).add(direction);
        if(collisionMap.isWalkable(tmp)) {
            targetPos.add(direction);
        }
    }

    @Override
    public boolean remove() {
        return time >= duration;
    }

    @Override
    public TextureRegion getIcon() {
        return DrawableData.textureAtlas.findRegion("icon-spell-stomp");
    }

    @Override
    public String getName() {
        return "Stomp";
    }

    @Override
    public float getScalarModifier(Buff.Stat stat) {
        return 0.0f;
    }

    @Override
    public float getPercentualModifier(Buff.Stat stat) {
        return 1.0f;
    }

    @Override
    public void refresh() {
        time = 0;
    }

    @Override
    public void damageTaken(int damage) {
    }
}
