package com.pancik.ciernypetrzlen.engine.pathfinding;

public class BresenhamCollisionChecker {
    public static boolean isInLineOfSight(CollisionMap collisionMap, float originX, float originY, float targetX, float targetY) {
        int x1 = (int)originX;
        int y1 = (int)originY;
        int x2 = (int)targetX;
        int y2 = (int)targetY;
        
        int dx = Math.abs(x2 - x1);
        int dy = Math.abs(y2 - y1);

        int sx = (x1 < x2) ? 1 : -1;
        int sy = (y1 < y2) ? 1 : -1;

        int err = dx - dy;

        while (true) {
            if(!collisionMap.isWalkable(x1, y1)) {
                return false;
            }

            if (x1 == x2 && y1 == y2) {
                return true;
            }

            int e2 = 2 * err;

            if (e2 > -dy) {
                err = err - dy;
                x1 = x1 + sx;
            }

            if (e2 < dx) {
                err = err + dx;
                y1 = y1 + sy;
            }
        }
    }
}
