package com.pancik.ciernypetrzlen.engine.pathfinding;

import com.badlogic.gdx.math.Vector2;

public abstract interface DistanceEstimator {

    public static final DistanceEstimator MANHATTEN = new DistanceEstimator() {
        @Override
        public float getDistance(Cell start, Cell end) {
            Vector2 s = start.getPosition();
            Vector2 e = end.getPosition();
            return Math.abs(s.x - e.x + s.y - e.y);
        }
    };
    public static final DistanceEstimator EUCLIDIAN = new DistanceEstimator() {
        @Override
        public float getDistance(Cell start, Cell end) {
            return start.getPosition().dst(end.getPosition());
        }
    };

    public abstract float getDistance(Cell paramCell1, Cell paramCell2);
}