package com.pancik.ciernypetrzlen.engine.player;

import com.badlogic.gdx.graphics.g2d.BitmapFont;
import com.badlogic.gdx.math.Vector3;
import com.pancik.ciernypetrzlen.DrawableData;
import com.pancik.ciernypetrzlen.engine.Engine;

public abstract class TextEffect {
    protected Engine.Controls engineControls;
    protected Vector3 gamePosition;
    protected String text;
    protected BitmapFont.TextBounds bounds;

    public TextEffect(Engine.Controls engineControls, Vector3 gamePosition, String text) {
        this.engineControls = engineControls;
        this.gamePosition = gamePosition;
        this.text = text;
        
        DrawableData.font.setScale(2.0f);
        this.bounds = new BitmapFont.TextBounds(DrawableData.font.getBounds(text));
    }

    public BitmapFont.TextBounds getBounds() {
        return bounds;
    }
    
    public abstract void tick();
    public abstract void renderUI();
    public abstract boolean remove();
    public abstract void onRemove();
    public abstract boolean shouldCheckCollision();
    public abstract Vector3 getCameraPosition();
    public abstract void setPos(float x, float y);
}
