package com.pancik.ciernypetrzlen.engine.player.inventory;

import com.badlogic.gdx.graphics.Color;
import com.badlogic.gdx.graphics.g2d.TextureRegion;
import com.pancik.ciernypetrzlen.DrawableData;
import com.pancik.ciernypetrzlen.engine.SoundData;
import com.pancik.ciernypetrzlen.engine.component.entity.Unit;

public class BigHealthPotion extends Usable {
    private Attribute[] attributes;

    public BigHealthPotion() {
        attributes = new Attribute[] {
            new Attribute("+200 Health", Color.GREEN),
        };
    }

    @Override
    public TextureRegion getTexture() {
        return DrawableData.textureAtlas.findRegion("item-potion-big-health");
    }

    @Override
    protected Color getNameColor() {
        return GREEN;
    }

    @Override
    public String getName() {
        return "Big Health Potion";
    }

    @Override
    protected Attribute[] getAttributes() {
        return attributes;
    }

    @Override
    protected String getText() {
        return "-BIG PACKAGE-";
    }

    @Override
    public void use(Unit user) {
        user.changeHealth(200);
        
        SoundData.playSound("potion", 1.0f);
    }

    @Override
    public int getTransmuteValue() {
        return 5;
    }
}
