package com.pancik.ciernypetrzlen.engine.player.inventory;

import com.badlogic.gdx.graphics.Color;
import com.badlogic.gdx.graphics.g2d.TextureRegion;
import com.pancik.ciernypetrzlen.DrawableData;

public class Broadsword extends Equipment {
    private Attribute[] attributes;

    public Broadsword() {
        super(Slot.SWORD);
        
        attributes = new Attribute[] {
            new Attribute("+7 Attack", Color.RED),
        };
    }

    @Override
    public TextureRegion getTexture() {
        return DrawableData.textureAtlas.findRegion("item-weapon-broadsword");
    }

    @Override
    protected Color getNameColor() {
        return GREEN;
    }

    @Override
    public String getName() {
        return "Broadsword";
    }

    @Override
    protected Attribute[] getAttributes() {
        return attributes;
    }

    @Override
    protected String getText() {
        return "Nice, well-balanced broadsword for everyday use.";
    }

    @Override
    public int getStatModifier(StatType type) {
        if(type == StatType.ATTACK) {
            return 7;
        }
        return 0;
    }
    
    @Override
    public int getTransmuteValue() {
        return 14;
    }
}
