package com.pancik.ciernypetrzlen.engine.player.inventory;

public abstract class Equipment extends Item {
    public static enum Slot {
        HEAD,
        CHEST,
        SWORD,
        SHIELD;

        @Override
        public String toString() {
            switch(this) {
                case HEAD:
                    return "Head";
                case CHEST:
                    return "Chest";
                case SWORD:
                    return "Weapon";
                case SHIELD:
                    return "Shield";
            }
            return super.toString();
        }
    }
    
    public static enum StatType {
        ATTACK,
        DEFENSE,
        VITALITY
    }
    
    protected Slot slot;

    public Equipment(Slot slot) {
        this.slot = slot;
    }

    public Slot getSlot() {
        return slot;
    }
    
    public abstract int getStatModifier(StatType type);
}
