package com.pancik.ciernypetrzlen.engine.player.inventory;

import com.badlogic.gdx.graphics.Color;
import com.badlogic.gdx.graphics.g2d.TextureRegion;
import com.pancik.ciernypetrzlen.DrawableData;
import com.pancik.ciernypetrzlen.engine.SoundData;
import com.pancik.ciernypetrzlen.engine.component.entity.Unit;
import com.pancik.ciernypetrzlen.engine.component.spell.EatingBuff;

public class FoodFish extends Usable {
    private Attribute[] attributes;

    public FoodFish() {
        attributes = new Attribute[] {
            new Attribute("10 Health every second", Color.YELLOW),
            new Attribute("5 Mana every second", Color.YELLOW),
            new Attribute("Duration: 30 second", Color.YELLOW),
            new Attribute("Any damage taken cancels the effect", Color.RED),
        };
    }

    @Override
    public TextureRegion getTexture() {
        return DrawableData.textureAtlas.findRegion("item-food-fish");
    }

    @Override
    protected Color getNameColor() {
        return WHITE;
    }

    @Override
    public String getName() {
        return "Roasted Fish";
    }

    @Override
    protected Attribute[] getAttributes() {
        return attributes;
    }

    @Override
    protected String getText() {
        return "";
    }

    @Override
    public void use(Unit user) {
        user.addBuff(new EatingBuff(user, 10, 5, 30, DrawableData.textureAtlas.findRegion("item-food-fish")));
        
        SoundData.playSound("eat", 1.0f);
    }
    
    @Override
    public int getTransmuteValue() {
        return 6;
    }
}
