package com.pancik.ciernypetrzlen.engine.player.inventory;

import com.badlogic.gdx.graphics.Color;
import com.badlogic.gdx.graphics.g2d.TextureRegion;
import com.pancik.ciernypetrzlen.DrawableData;

public class IronChest extends Equipment {
    private Attribute[] attributes;

    public IronChest() {
        super(Slot.CHEST);
        
        attributes = new Attribute[] {
            new Attribute("+4 Defense", BLUE),
            new Attribute("+5 Vitality", GREEN),
        };
    }

    @Override
    public TextureRegion getTexture() {
        return DrawableData.textureAtlas.findRegion("item-chest-iron");
    }

    @Override
    protected Color getNameColor() {
        return GREEN;
    }

    @Override
    public String getName() {
        return "Iron Chest";
    }

    @Override
    protected Attribute[] getAttributes() {
        return attributes;
    }

    @Override
    protected String getText() {
        return "-Limited edition of 1 000 000 pcs-";
    }

    @Override
    public int getStatModifier(StatType type) {
        if(type == StatType.DEFENSE) {
            return 4;
        }
        if(type == StatType.VITALITY) {
            return 5;
        }
        return 0;
    }
    
    @Override
    public int getTransmuteValue() {
        return 18;
    }
}
