package com.pancik.ciernypetrzlen.engine.player.inventory;

import com.badlogic.gdx.graphics.Color;
import com.badlogic.gdx.graphics.g2d.TextureRegion;
import com.pancik.ciernypetrzlen.DrawableData;

public class IronHelmet extends Equipment {
    private Attribute[] attributes;

    public IronHelmet() {
        super(Slot.HEAD);
        
        attributes = new Attribute[] {
            new Attribute("+3 Defense", BLUE),
            new Attribute("+7 Vitality", GREEN),
        };
    }

    @Override
    public TextureRegion getTexture() {
        return DrawableData.textureAtlas.findRegion("item-helmet-iron");
    }

    @Override
    protected Color getNameColor() {
        return GREEN;
    }

    @Override
    public String getName() {
        return "Iron Helmet";
    }

    @Override
    protected Attribute[] getAttributes() {
        return attributes;
    }

    @Override
    protected String getText() {
        return "-Limited edition of 500 000 pcs-";
    }

    @Override
    public int getStatModifier(StatType type) {
        if(type == StatType.DEFENSE) {
            return 3;
        }
        if(type == StatType.VITALITY) {
            return 7;
        }
        return 0;
    }
    
    @Override
    public int getTransmuteValue() {
        return 20;
    }
}
