package com.pancik.ciernypetrzlen.engine.player.inventory;

import com.badlogic.gdx.graphics.Color;
import com.badlogic.gdx.graphics.g2d.TextureRegion;
import com.pancik.ciernypetrzlen.DrawableData;

public class IronShield extends Equipment {
    private Attribute[] attributes;

    public IronShield() {
        super(Slot.SHIELD);
        
        attributes = new Attribute[] {
            new Attribute("+8 Defense", BLUE),
        };
    }

    @Override
    public TextureRegion getTexture() {
        return DrawableData.textureAtlas.findRegion("item-shield-iron");
    }

    @Override
    protected Color getNameColor() {
        return GREEN;
    }

    @Override
    public String getName() {
        return "Iron Shield";
    }

    @Override
    protected Attribute[] getAttributes() {
        return attributes;
    }

    @Override
    protected String getText() {
        return "Romans would be proud.";
    }

    @Override
    public int getStatModifier(StatType type) {
        if(type == StatType.DEFENSE) {
            return 8;
        }
        return 0;
    }
    
    @Override
    public int getTransmuteValue() {
        return 16;
    }
}
