package com.pancik.ciernypetrzlen.engine.player.inventory;

import com.badlogic.gdx.graphics.Color;
import com.badlogic.gdx.graphics.g2d.TextureRegion;
import com.pancik.ciernypetrzlen.DrawableData;

public class LeatherChest extends Equipment {
    private Attribute[] attributes;

    public LeatherChest() {
        super(Slot.CHEST);
        
        attributes = new Attribute[] {
            new Attribute("+2 Defense", BLUE),
            new Attribute("+2 Vitality", GREEN),
        };
    }

    @Override
    public TextureRegion getTexture() {
        return DrawableData.textureAtlas.findRegion("item-chest-leather");
    }

    @Override
    protected Color getNameColor() {
        return WHITE;
    }

    @Override
    public String getName() {
        return "Leather Chest";
    }

    @Override
    protected Attribute[] getAttributes() {
        return attributes;
    }

    @Override
    protected String getText() {
        return "Nice and comfortable leather chest armor.";
    }

    @Override
    public int getStatModifier(StatType type) {
        if(type == StatType.DEFENSE) {
            return 2;
        }
        if(type == StatType.VITALITY) {
            return 2;
        }
        return 0;
    }
    
    @Override
    public int getTransmuteValue() {
        return 8;
    }
}
