package com.pancik.ciernypetrzlen.engine.player.inventory;

import com.badlogic.gdx.graphics.Color;
import com.badlogic.gdx.graphics.g2d.TextureRegion;
import com.pancik.ciernypetrzlen.DrawableData;

public class Longsword extends Equipment {
    private Attribute[] attributes;

    public Longsword() {
        super(Slot.SWORD);
        
        attributes = new Attribute[] {
            new Attribute("+5 Attack", Color.RED),
        };
    }

    @Override
    public TextureRegion getTexture() {
        return DrawableData.textureAtlas.findRegion("item-weapon-sword");
    }

    @Override
    protected Color getNameColor() {
        return WHITE;
    }

    @Override
    public String getName() {
        return "Longsword";
    }

    @Override
    protected Attribute[] getAttributes() {
        return attributes;
    }

    @Override
    protected String getText() {
        return "Damn, this is long!";
    }

    @Override
    public int getStatModifier(StatType type) {
        if(type == StatType.ATTACK) {
            return 5;
        }
        return 0;
    }
    
    @Override
    public int getTransmuteValue() {
        return 10;
    }
}
