package com.pancik.ciernypetrzlen.engine.player.inventory;

import com.badlogic.gdx.graphics.Color;
import com.badlogic.gdx.graphics.g2d.TextureRegion;
import com.pancik.ciernypetrzlen.DrawableData;

public class MagicalBroadsword extends Equipment {
    private Attribute[] attributes;

    public MagicalBroadsword() {
        super(Slot.SWORD);
        
        attributes = new Attribute[] {
            new Attribute("+10 Attack", Color.RED),
        };
    }

    @Override
    public TextureRegion getTexture() {
        return DrawableData.textureAtlas.findRegion("item-weapon-magicsword");
    }

    @Override
    protected Color getNameColor() {
        return BLUE;
    }

    @Override
    public String getName() {
        return "Magical Broadsword";
    }

    @Override
    protected Attribute[] getAttributes() {
        return attributes;
    }

    @Override
    protected String getText() {
        return "Oh wow, this looks expensive!";
    }

    @Override
    public int getStatModifier(StatType type) {
        if(type == StatType.ATTACK) {
            return 10;
        }
        return 0;
    }
    
    @Override
    public int getTransmuteValue() {
        return 20;
    }
}
