package com.pancik.ciernypetrzlen.engine.player.inventory;

import com.badlogic.gdx.graphics.Color;
import com.badlogic.gdx.graphics.g2d.TextureRegion;
import com.pancik.ciernypetrzlen.DrawableData;

public class MagicalChest extends Equipment {
    private Attribute[] attributes;

    public MagicalChest() {
        super(Slot.CHEST);
        
        attributes = new Attribute[] {
            new Attribute("+7 Defense", BLUE),
            new Attribute("+8 Vitality", GREEN),
        };
    }

    @Override
    public TextureRegion getTexture() {
        return DrawableData.textureAtlas.findRegion("item-chest-magic");
    }

    @Override
    protected Color getNameColor() {
        return BLUE;
    }

    @Override
    public String getName() {
        return "Magical Chest";
    }

    @Override
    protected Attribute[] getAttributes() {
        return attributes;
    }

    @Override
    protected String getText() {
        return "Wearing this is like horse riding you. Ouch.";
    }

    @Override
    public int getStatModifier(StatType type) {
        if(type == StatType.DEFENSE) {
            return 7;
        }
        if(type == StatType.VITALITY) {
            return 8;
        }
        return 0;
    }
    
    @Override
    public int getTransmuteValue() {
        return 30;
    }
}
