package com.pancik.ciernypetrzlen.engine.player.inventory;

import com.badlogic.gdx.graphics.Color;
import com.badlogic.gdx.graphics.g2d.TextureRegion;
import com.pancik.ciernypetrzlen.DrawableData;

public class MagicalHelmet extends Equipment {
    private Attribute[] attributes;

    public MagicalHelmet() {
        super(Slot.HEAD);
        
        attributes = new Attribute[] {
            new Attribute("+5 Defense", BLUE),
            new Attribute("+10 Vitality", GREEN),
        };
    }

    @Override
    public TextureRegion getTexture() {
        return DrawableData.textureAtlas.findRegion("item-helmet-magic");
    }

    @Override
    protected Color getNameColor() {
        return BLUE;
    }

    @Override
    public String getName() {
        return "Magical Helmet";
    }

    @Override
    protected Attribute[] getAttributes() {
        return attributes;
    }

    @Override
    protected String getText() {
        return "Magical items are not really nice, they smell like old socks.";
    }

    @Override
    public int getStatModifier(StatType type) {
        if(type == StatType.DEFENSE) {
            return 5;
        }
        if(type == StatType.VITALITY) {
            return 10;
        }
        return 0;
    }
    
    @Override
    public int getTransmuteValue() {
        return 30;
    }
}
