package com.pancik.ciernypetrzlen.engine.player.inventory;

import com.badlogic.gdx.graphics.Color;
import com.badlogic.gdx.graphics.g2d.TextureRegion;
import com.pancik.ciernypetrzlen.DrawableData;

public class MagicalShield extends Equipment {
    private Attribute[] attributes;

    public MagicalShield() {
        super(Slot.SHIELD);
        
        attributes = new Attribute[] {
            new Attribute("+15 Defense", BLUE),
        };
    }

    @Override
    public TextureRegion getTexture() {
        return DrawableData.textureAtlas.findRegion("item-shield-magic");
    }

    @Override
    protected Color getNameColor() {
        return BLUE;
    }

    @Override
    public String getName() {
        return "Magical Iron Shield";
    }

    @Override
    protected Attribute[] getAttributes() {
        return attributes;
    }

    @Override
    protected String getText() {
        return "Wizards would be proud.";
    }

    @Override
    public int getStatModifier(StatType type) {
        if(type == StatType.DEFENSE) {
            return 15;
        }
        return 0;
    }
    
    @Override
    public int getTransmuteValue() {
        return 30;
    }
}
