package com.pancik.ciernypetrzlen.engine.player.inventory;

import com.badlogic.gdx.graphics.Color;
import com.badlogic.gdx.graphics.g2d.TextureRegion;
import com.pancik.ciernypetrzlen.DrawableData;

public class Picklock extends Item {
    private Attribute[] attributes;

    public Picklock() {
        attributes = new Attribute[] {
            new Attribute("Opens 1 locked door", Color.YELLOW),
        };
    }

    @Override
    public TextureRegion getTexture() {
        return DrawableData.textureAtlas.findRegion("item-picklock");
    }

    @Override
    protected Color getNameColor() {
        return WHITE;
    }

    @Override
    public String getName() {
        return "Picklock";
    }

    @Override
    protected Attribute[] getAttributes() {
        return attributes;
    }

    @Override
    protected String getText() {
        return "Use this to open locks on some sturdy old doors. But be careful, this set can manage only one door!";
    }
    
    @Override
    public int getTransmuteValue() {
        return 3;
    }
}
