package com.pancik.ciernypetrzlen.engine.player.inventory;

import com.badlogic.gdx.graphics.Color;
import com.badlogic.gdx.graphics.g2d.TextureRegion;
import com.pancik.ciernypetrzlen.DrawableData;
import com.pancik.ciernypetrzlen.engine.SoundData;
import com.pancik.ciernypetrzlen.engine.component.entity.Unit;

public class SmallHealthPotion extends Usable {
    private Attribute[] attributes;

    public SmallHealthPotion() {
        attributes = new Attribute[] {
            new Attribute("+50 Health", Color.GREEN),
        };
    }

    @Override
    public TextureRegion getTexture() {
        return DrawableData.textureAtlas.findRegion("item-potion-small-health");
    }

    @Override
    protected Color getNameColor() {
        return WHITE;
    }

    @Override
    public String getName() {
        return "Small Health Potion";
    }

    @Override
    protected Attribute[] getAttributes() {
        return attributes;
    }

    @Override
    protected String getText() {
        return "This potion was brewed in some of the darkest dungeons in the world. That's why it consumes light around it.";
    }

    @Override
    public void use(Unit user) {
        user.changeHealth(50);
        
        SoundData.playSound("potion", 1.0f);
    }
    
    @Override
    public int getTransmuteValue() {
        return 3;
    }
}
