package com.pancik.ciernypetrzlen.engine.player.inventory;

import com.badlogic.gdx.graphics.Color;
import com.badlogic.gdx.graphics.g2d.TextureRegion;
import com.pancik.ciernypetrzlen.DrawableData;
import com.pancik.ciernypetrzlen.engine.SoundData;
import com.pancik.ciernypetrzlen.engine.component.entity.Hero;
import com.pancik.ciernypetrzlen.engine.component.entity.Unit;

public class SmallManaPotion extends Usable {
    private Attribute[] attributes;

    public SmallManaPotion() {
        attributes = new Attribute[] {
            new Attribute("+30 Mana", new Color(0.1f, 0.1f, 1.0f, 1.0f)),
        };
    }

    @Override
    public TextureRegion getTexture() {
        return DrawableData.textureAtlas.findRegion("item-potion-small-mana");
    }

    @Override
    protected Color getNameColor() {
        return WHITE;
    }

    @Override
    public String getName() {
        return "Small Mana Potion";
    }

    @Override
    protected Attribute[] getAttributes() {
        return attributes;
    }

    @Override
    protected String getText() {
        return "*blah blah blah*";
    }

    @Override
    public void use(Unit user) {
        if(user instanceof Hero) {
            ((Hero)user).changeMana(30);
        }
        
        SoundData.playSound("potion", 1.0f);
    }
    
    @Override
    public int getTransmuteValue() {
        return 3;
    }
}
