package com.pancik.ciernypetrzlen.engine.player.inventory;

import com.badlogic.gdx.graphics.Color;
import com.badlogic.gdx.graphics.g2d.TextureRegion;
import com.pancik.ciernypetrzlen.DrawableData;

public class Stick extends Equipment {
    private Attribute[] attributes;

    public Stick() {
        super(Slot.SWORD);
        
        attributes = new Attribute[] {
            new Attribute("+1 Attack", Color.RED),
        };
    }

    @Override
    public TextureRegion getTexture() {
        return DrawableData.textureAtlas.findRegion("item-weapon-stick");
    }

    @Override
    protected Color getNameColor() {
        return WHITE;
    }

    @Override
    public String getName() {
        return "Stick";
    }

    @Override
    protected Attribute[] getAttributes() {
        return attributes;
    }

    @Override
    protected String getText() {
        return "Even fists would be more effective than this!";
    }

    @Override
    public int getStatModifier(StatType type) {
        if(type == StatType.ATTACK) {
            return 1;
        }
        return 0;
    }
    
    @Override
    public int getTransmuteValue() {
        return 2;
    }
}
