package com.pancik.ciernypetrzlen.engine.player.inventory;

import com.badlogic.gdx.graphics.Color;
import com.badlogic.gdx.graphics.g2d.TextureRegion;
import com.pancik.ciernypetrzlen.DrawableData;

public class SwordSkeletonSlayer extends Equipment {
    private Attribute[] attributes;

    public SwordSkeletonSlayer() {
        super(Slot.SWORD);
        
        attributes = new Attribute[] {
            new Attribute("+15 Attack", Color.RED),
        };
    }

    @Override
    public TextureRegion getTexture() {
        return DrawableData.textureAtlas.findRegion("item-weapon-skeletonslayer");
    }

    @Override
    protected Color getNameColor() {
        return PURPLE;
    }

    @Override
    public String getName() {
        return "Skeleton Slayer 3000";
    }

    @Override
    protected Attribute[] getAttributes() {
        return attributes;
    }

    @Override
    protected String getText() {
        return "TY VOLE! TOTO JE TAKY BRUTAL SWORD, KOKOS! RIADNE NALOZIS TYM SKELETONOM!";
    }

    @Override
    public int getStatModifier(StatType type) {
        if(type == StatType.ATTACK) {
            return 15;
        }
        return 0;
    }
    
    @Override
    public int getTransmuteValue() {
        return 30;
    }
}
