package com.pancik.ciernypetrzlen.engine.player.inventory;

import com.badlogic.gdx.graphics.Color;
import com.badlogic.gdx.graphics.g2d.TextureRegion;
import com.pancik.ciernypetrzlen.DrawableData;

public class WoodenHelmet extends Equipment {
    private Attribute[] attributes;

    public WoodenHelmet() {
        super(Slot.HEAD);
        
        attributes = new Attribute[] {
            new Attribute("+1 Defense", BLUE),
            new Attribute("+3 Vitality", GREEN),
        };
    }

    @Override
    public TextureRegion getTexture() {
        return DrawableData.textureAtlas.findRegion("item-helmet-wooden-bucket");
    }

    @Override
    protected Color getNameColor() {
        return WHITE;
    }

    @Override
    public String getName() {
        return "Wooden Helmet";
    }

    @Override
    protected Attribute[] getAttributes() {
        return attributes;
    }

    @Override
    protected String getText() {
        return "Actually, it's just a bucket.";
    }

    @Override
    public int getStatModifier(StatType type) {
        if(type == StatType.DEFENSE) {
            return 1;
        }
        if(type == StatType.VITALITY) {
            return 3;
        }
        return 0;
    }
    
    @Override
    public int getTransmuteValue() {
        return 8;
    }
}
