package com.pancik.ciernypetrzlen.engine.player.inventory;

import com.badlogic.gdx.graphics.Color;
import com.badlogic.gdx.graphics.g2d.TextureRegion;
import com.pancik.ciernypetrzlen.DrawableData;

public class WoodenShield extends Equipment {
    private Attribute[] attributes;

    public WoodenShield() {
        super(Slot.SHIELD);
        
        attributes = new Attribute[] {
            new Attribute("+4 Defense", BLUE),
        };
    }

    @Override
    public TextureRegion getTexture() {
        return DrawableData.textureAtlas.findRegion("item-shield-wooden");
    }

    @Override
    protected Color getNameColor() {
        return WHITE;
    }

    @Override
    public String getName() {
        return "Wooden Shield";
    }

    @Override
    protected Attribute[] getAttributes() {
        return attributes;
    }

    @Override
    protected String getText() {
        return "Vikings would be proud.";
    }

    @Override
    public int getStatModifier(StatType type) {
        if(type == StatType.DEFENSE) {
            return 4;
        }
        return 0;
    }
    
    @Override
    public int getTransmuteValue() {
        return 8;
    }
}
