package com.pancik.ciernypetrzlen.screens;

import com.pancik.ciernypetrzlen.MainApplicationListener.Controls;
import com.pancik.ciernypetrzlen.engine.Engine;
import com.pancik.ciernypetrzlen.engine.PersistentData;

public class MainGameScreen extends Screen {
    private Engine engine;
    private PersistentData data;
    
    public MainGameScreen(Controls mainControls, PersistentData data) {
        super(mainControls);
        this.data = data;
    }
    
    @Override
    public void create() {
        mainControls.playGameMusic();
        engine = new Engine(mainControls, data);
        engine.create();
    }

    @Override
    public void tick() {
        engine.tick();
    }

    @Override
    public void render() {
        engine.render();
    }

    @Override
    public void renderUI() {
        engine.renderUI();
    }
    
    @Override
    public void pause() {
    }

    @Override
    public void resume() {
    }
    
    @Override
    public void dispose() {
        engine.dispose();
    }

    @Override
    public void updateMainControls(Controls mainControls) {
        super.updateMainControls(mainControls);
    }

    @Override
    public void resize(int sizeX, int sizeY) {
        engine.resize(sizeX, sizeY);
    }
}