package com.pancik.ciernypetrzlen.screens;

import com.pancik.ciernypetrzlen.MainApplicationListener.Controls;
import com.pancik.ciernypetrzlen.engine.PersistentData;
import com.pancik.ciernypetrzlen.engine.gui.MainMenuWindow;

public class MainMenuScreen extends Screen {
    private MainMenuWindow menu;
    
    public MainMenuScreen(Controls mainControls) {
        super(mainControls);
    }
    
    @Override
    public void create() {
        mainControls.playMenuMusic();
        menu = new MainMenuWindow(mainControls, PersistentData.load());
        menu.setVisibility(true);
    }

    @Override
    public void tick() {
        menu.tick();
    }

    @Override
    public void render() {
    }

    @Override
    public void renderUI() {
        menu.renderUI();
    }
    
    @Override
    public void pause() {
    }

    @Override
    public void resume() {
    }
    
    @Override
    public void dispose() {
        menu.dispose();
    }

    @Override
    public void updateMainControls(Controls mainControls) {
        super.updateMainControls(mainControls);
    }

    @Override
    public void resize(int sizeX, int sizeY) {
        menu.resize(sizeX, sizeY);
    }
}